
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>poj1251 最小生成树 / 憋错料</title>

    <meta name="description" content="poj1251 最小生成树 Description The Head Elder of the tropical island of Lagrishan has a problem. A burst of foreign aid money was spent on extra roads between villages some years ago. But the jungle overtakes roads relentlessly, so the large road network is too expensi">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">poj1251 最小生成树</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>Description</strong></p>
<p>The Head Elder of the tropical island of Lagrishan has a problem. A burst of foreign aid money was spent on extra roads between villages some years ago. But the jungle overtakes roads relentlessly, so the large road network is too expensive to maintain. The Council of Elders must choose to stop maintaining some roads. The map above on the left shows all the roads in use now and the cost in aacms per month to maintain them. Of course there needs to be some way to get between all the villages on maintained roads, even if the route is not as short as before. The Chief Elder would like to tell the Council of Elders what would be the smallest amount they could spend in aacms per month to maintain roads that would connect all the villages. The villages are labeled A through I in the maps above. The map on the right shows the roads that could be maintained most cheaply, for 216 aacms per month. Your task is to write a program that will solve such problems.</p>
<p><strong>Input</strong></p>
<p>The input consists of one to 100 data sets, followed by a final line containing only 0. Each data set starts with a line containing only a number n, which is the number of villages, 1 &lt; n &lt; 27, and the villages are labeled with the first n letters of the alphabet, capitalized. Each data set is completed with n-1 lines that start with village labels in alphabetical order. There is no line for the last village. Each line for a village starts with the village label followed by a number, k, of roads from this village to villages with labels later in the alphabet. If k is greater than 0, the line continues with data for each of the k roads. The data for each road is the village label for the other end of the road followed by the monthly maintenance cost in aacms for the road. Maintenance costs will be positive integers less than 100. All data fields in the row are separated by single blanks. The road network will always allow travel between all the villages. The network will never have more than 75 roads. No village will have more than 15 roads going to other villages (before or after in the alphabet). In the sample input below, the first data set goes with the map above.</p>
<p><strong>Output</strong></p>
<p>The output is one integer per line for each data set: the minimum cost in aacms per month to maintain a road system that connect all the villages. Caution: A brute force solution that examines every possible set of roads will not finish within the one minute time limit.</p>
<p><strong>Sample Input</strong></p>
<p>9</p>
<p>A 2 B 12 I 25</p>
<p>B 3 C 10 H 40 I 8</p>
<p>C 2 D 18 G 55</p>
<p>D 1 E 44</p>
<p>E 2 F 60 G 38</p>
<p>F 0</p>
<p>G 1 H 35</p>
<p>H 1 I 35</p>
<p>3</p>
<p>A 2 B 10 C 40</p>
<p>B 1 C 20</p>
<p>0</p>
<p><strong>Sample Output</strong></p>
<p>216</p>
<p>30</p>
<pre>大致题意：在相通n个岛屿的所有桥都坏了，要重修，重修每一个桥所用的时间不同，求重修使每个岛屿都间接或直接与其他岛屿相连时所用的的最短时间（只有修完一个桥后才可修下一个桥）。简言之就是求最小生成树。</pre>
<pre>对于数据，数据输入的第一行n代表岛屿的个数，当为0是结束程序，接着n-1行开始时为这岛屿的编号，用大写字母表示，接着是一个整数m，表示与该岛屿连接的字典序大于该岛屿编号的个数，然后该行输入m对数据，每对数据的第一个字母表示与该岛屿连通的岛屿的编号，第二个数字表示要重修两岛屿之间桥所需要的时间，输出数据见样例及原题。</pre>
<pre>该题图为稀疏图，用Kruskal算法比较好，经过昨天对于生成树的题目的训练</pre>
<p>prim：// 不懂见百度百科</p>
<p>思路：一直找最小的边直到所有的点都被加到最小生成树中</p>
<pre>#include&lt;iostream&gt;
using namespace std;
#define mx 1&lt;&lt;29

int map[30][30];
int r[30],v[30];
int n,m,t,i,j,p,mi;
char a,b;

void prim()
{
    for(i=0; i&lt;n; i++)
    {
        r[i]=map[0][i];
        v[i]=0;
    }
    for(i=1; i&lt;=n; i++)
    {
        mi=mx;
        for(j=0; j&lt;n; j++)
            if(!v[j] &amp;&amp; r[j]&lt;mi)
                mi=r[j],p=j;
        v[p]=1;
        for(j=0; j&lt;n; j++)
            if(!v[j] &amp;&amp; map[p][j]&lt;r[j])
                r[j]=map[p][j];
    }
    for(i=1; i&lt;n; i++) r[0]+=r[i];
    cout&lt;&lt;r[0]&lt;&lt;endl;
}
int main()
{
    while(cin&gt;&gt;n &amp;&amp; n)
    {
        for(i=0; i&lt;n; i++)
            for(j=0; j&lt;n; j++)
                if(i==j) map[i][j]=0;
                else map[i][j]=mx;
        for(i=1; i&lt;n; i++)
        {
            cin&gt;&gt;a&gt;&gt;m;
            while(m--)
            {
                cin&gt;&gt;b&gt;&gt;t;
                map[a-‘A‘][b-‘A‘]=map[b-‘A‘][a-‘A‘]=t;
            }
        }
        prim();
    }
    return 0;
}</pre>
<p>Kruskal: 假设 WN=(V,{E}) 是一个含有 n 个顶点的连通网，则按照克鲁斯卡尔算法构造<a href="http://baike.baidu.com/view/288214.htm" rel="external nofollow noreferrer">最小生成树</a>的过程为：先构造一个只含 n 个顶点，而边集为空的子图，若将该子图中各个顶点看成是各棵树上的根结点，则它是一个含有 n 棵树的一个森林。之后，从网的边集 E 中选取一条权值最小的边，若该条边的两个顶点分属不同的树，则将其加入子图，也就是说，将这两个顶点分别所在的两棵树合成一棵树；反之，若该条边的两个顶点已落在同一棵树上，则不可取，而应该取下一条权值最小的边再试之。依次类推，直至森林中只有一棵树，也即子图中含有 n-1条边为止。</p>
<p>代码：</p>
<pre>#include&lt;iostream&gt;
#include&lt;algorithm&gt;
using namespace std;

struct Edge
{
    int b,e,w;
} r[900];
int p[30];
int n,m,t,k,q,ans;
char a,b;
int i,j;
int cmp(Edge x,Edge y)
{
    return x.w&lt;y.w;
}

int Find(int x)
{
    if(x!=p[x]) p[x]=Find(p[x]);
    return p[x];
}

void Union(int x,int y)
{
    x=Find(x);
    y=Find(y);
    p[y]=x;
}

void kruskal()
{
    q=0;
    ans=0;
    for(i=0; i&lt;k; i++)
    {
        if(Find(r[i].b) != Find(r[i].e))
        {
            ans+=r[i].w;
            Union(r[i].b,r[i].e);
            q++;
        }
        if(q==n-1) break;
    }
    cout&lt;&lt;ans&lt;&lt;endl;
}

int main()
{
    while(cin&gt;&gt;n &amp;&amp; n)
    {
        for(i=0; i&lt;n; i++)
            p[i]=i;
        k=0;
        for(i=1; i&lt;n; i++)
        {
            cin&gt;&gt;a&gt;&gt;m;
            while(m--)
            {
                cin&gt;&gt;b&gt;&gt;t;
                r[k].b=a-‘A‘;
                r[k].e=b-‘A‘;
                r[k++].w=t;
            }
        }
        sort(r,r+k,cmp);
        kruskal();
    }
    return 0;
}
//注意一下有时候用到并查集的路径压缩</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 02:01:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>poj1251 最小生成树的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a56GP0.html" rel="bookmark">poj1251最小生成树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;cstdio&gt; #include &lt;cstring&gt; #include &lt;algorithm&gt; #include &lt;climits&gt; #include &lt;string&gt; #include &lt;iostream&gt; #include &lt;map&gt; #include &lt;cstdlib&gt; #include &lt;list&gt; #include &lt;set&gt; #include &lt;qu			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wR6ZV0.html" rel="bookmark">poj----&lpar;1251&rpar;Jungle Roads&lpar;最小生成树&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Jungle Roads Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 19265   Accepted: 8806 Description The Head Elder of the tropical island of Lagrishan has a problem. A burst of foreign aid money was spent on extra roads between villages some			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWqmp63.html" rel="bookmark">hdu1301&amp;amp&semi;poj1251 Jungle Roads（最小生成树之prim果题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:http://blog.csdn.net/u012860063 题目链接: HDU:http://acm.hdu.edu.cn/showproblem.php?pid=1301 POJ: http://poj.org/problem?id=1251 一道prim算法的果题! 题目很长,这里就不贴题目了. 题意: 给你每个村庄之间的维护道路的费用,求最小的费用. 代码如下: #include &lt;cstdio&gt; #include &lt;cstring&gt; #include &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXdVy8M.html" rel="bookmark">POJ1251 Jungle Roads 【最小生成树Prim】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Jungle Roads Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 19536   Accepted: 8970 Description The Head Elder of the tropical island of Lagrishan has a problem. A burst of foreign aid money was spent on extra roads between villages some			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bnjdo0.html" rel="bookmark">最小生成树练习1（克鲁斯卡尔算法Kruskal）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天刷一下水题练手入门,明天继续. poj1861 Network(最小生成树)新手入门题. 题意:输出连接方案中最长的单根网线长度(必须使这个值是所有方案中最小的),然后输出方案. 题解:本题没有直接求生成树,但如果连接n个集线器的方案多于n-1条边,那么必存在回路,因此去掉某些边剩下的边和所有顶点构成一个生成树.对于一个图的最小生成树来说,它的最大边满足所有生成树的最大边里最小,正和题意. 吐槽:题目样例是错的... 1 #include&lt;cstdio&gt; 2 #include&lt;cst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e2myJ3.html" rel="bookmark">POJ-1251 Jungle Roads---MST裸题（需要编号）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接: https://vjudge.net/problem/POJ-1251 题目大意: 首先给你一个图,需要你求出最小生成树,输入N个节点,用大写字母表示了节点,然后节点与节点之间有权值. 思路:这里需要编号,其他的就是模板 1 #include&lt;iostream&gt; 2 #include&lt;cstdio&gt; 3 #include&lt;cstring&gt; 4 #include&lt;algorithm&gt; 5 #include&lt;cmath&gt; 6 #inclu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pbPBJ0.html" rel="bookmark">「题解」kuangbin 最小生成树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				POJ-1251 Jungle Roads (水题,%c) POJ-1287 Networking (水) POJ-2031 Building a Space Station (%f浮点数尴尬精度,两球间距离) POJ-2421 Constructing Roads (一些边已建好,简单处理一下) ZOJ-1586 QS Network (处理一下边权) HDU-1233 还是畅通工程 (水) HDU-1875 畅通工程再续 (浮点数,条件连边) HDU-1301 Jungle Roads (重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVEk4V.html" rel="bookmark">次最小生成树 模版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				次小生成树(转) 转载(http://www.cnblogs.com/z360/p/6875488.html) 所谓次小生成树,顾名思义就是从生成树中取出的第二小的生成树. 我们在前面已经说过最小生成树的概念及代码实现了,所以接下来要说的次小生成树应该比较简单理解了. 求次小生成树的两种方法 1:首先求出最小生成树T,然后枚举最小生成树上的边,计算除了枚举的当前最小生成树的边以外的所有边形成的最小生成树Ti,然后求最小的Ti就是次小生成树.2:首先计算出最小生成树T,然后对最小生成树上任意不相邻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0Kyjj4.html" rel="bookmark">HDU1863 畅通工程---&lpar;最小生成树&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				畅通工程 Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 27972    Accepted Submission(s): 12279 Problem Description 省政府&quot;畅通工程&quot;的目标是使全省任何两个村庄间都可以实现公路交通(但不一定有直接的公路相连,只要能间接通过公路可达即可).经过调查评估,得到的统计表中列出			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0leRB3.html" rel="bookmark" class="title">LeetCode OJ：Peeking Iterator（peeking 迭代器）</a>
					<div>
						Given an Iterator class interface with methods: next() and hasNext(), design and implement a Peeking ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0K9vr4.html" rel="bookmark" class="title">宽度不固定元素水平居中</a>
					<div>
						元素浮动以后不能通过text-align:center或是margin:0 auto达到居中效果,我们可以这样做是浮动元素居中:为父盒子和子盒子position: relative;然后父盒子left ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MB5Dy4.html" rel="bookmark" class="title">openjudge-NOI 2&period;6-2985 数字组合</a>
					<div>
						题目链接:http://noi.openjudge.cn/ch0206/2985/ 题解: 跟背包问题有点相似,暂且算背包型DP吧,虽然是一道递推题-- fj表示和为j时的结果,得: 即为j减去每一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZV6DM.html" rel="bookmark" class="title">HDU 1231 最大连续子序列 DP题解</a>
					<div>
						典型的DP题目,增加一个额外要求,输出子序列的开始和结尾的数值. 增加一个记录方法,nothing special. 记录最终ans的时候,同时记录开始和结尾下标: 更新当前最大值sum的时候,更新开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mn8zM.html" rel="bookmark" class="title">MMT事务处理来源类型-INV&lowbar;OBJECT&lowbar;GENEALOGY&period;GETSOURCE</a>
					<div>
						INV_OBJECT_GENEALOGY.GETSOURCE (MTL_MATERIAL_TRANSACTIONS.ORGANIZATION_ID,                           ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JzK7Y4.html" rel="bookmark" class="title">【安卓笔记】HandlerThread源码剖析</a>
					<div>
						有时候我们需要在应用程序中创建一些常驻的子线程不定期地执行一些计算型任务,这时候可以考虑使用HandlerThread,它具有创建带消息循环的子线程的作用. 一.HanderThread使用示例 先熟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kp5KX3.html" rel="bookmark" class="title">11&period;4 线程创建</a>
					<div>
						传统UNIX程序模型中每一个进程都只支持一个线程控制,在概念上,这与每个线程仅仅由一个线程组成的线程模型是一样的.采用pthreads以后,当一个程序运行的时候,系统也会启动一个单线程控制进程,当程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwNne0.html" rel="bookmark" class="title">LeetCode&lpar;69&rpar;-Reverse String</a>
					<div>
						题目: Write a function that takes a string as input and returns the string reversed. Example: Given s  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvXjN4.html" rel="bookmark" class="title">文本域的宽度和高度应该用cols和rows来控制，还是 用width和height来控制</a>
					<div>
						文本域宽度如果用cols来控制,缩放网页的时候文本域的宽度不会自动变化 用width来表示就会跟着网页缩放而缩放 看到下面一段文字: 对于内容至上的网页,在禁用CSS的情况下,HTML内容要做到易于阅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWX5m3.html" rel="bookmark" class="title">【Java笔记】&mdash;&mdash;有趣的递归算法</a>
					<div>
						在Java学习开始就学习到了递归,以前经常听到递归,但是却没有真正的了解过递归.学习是不断的重复的,在最初的时候,自己所听说到的不了解的,以后肯定会学到.但是前期这个了解的阶段是不可少的,现在体会是越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwX5l0.html" rel="bookmark" class="title">【转载】2014-7 Andrew Ng 自动化所报告听后感</a>
					<div>
						2014-7 Andrew Ng 自动化所报告听后感 (2014-07-07 12:03:18) 转载▼ 标签: 机器学习 深度学习 andrewng   一早出发,8点20就赶到现场, 人越聚越多, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDPKaM.html" rel="bookmark" class="title">58同城疑收购优信二手车：优势增补布局未来市场</a>
					<div>
						中国互联网市场历来有&quot;分久必合&quot;之势,在继视频.电商.出行.旅游.婚恋等领域先后&quot;合体&quot;之后,二手车市场也或将迎来新的收购迹象. 近日,有网友发现使用百度搜索& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnKnj0.html" rel="bookmark" class="title">Cortex依赖管理</a>
					<div>
						cortex对模块的依赖基于semantic version进行管理,如果熟悉npm的模块管理方式,大家都了解node的模块是放在node_modules这个目录下,每个模块自己的依赖都放在自己目录下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWxAq0.html" rel="bookmark" class="title">一个可以手势缩放layout、拖拽layout的PowerfulLayout</a>
					<div>
						弄了一个下午,终于搞出来了,PowerfulLayout 下面是一个功能强大的改造的例子: 可以实现以下需求: 1.两个手指进行缩放布局 2.所有子控件也随着缩放, 3.子控件该有的功能不能丢失(像b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJeV13.html" rel="bookmark" class="title">分布式键值存储系统ETCD调研</a>
					<div>
						分布式键值存储系统ETCD调研 简介 etcd是一个开源的分布式键值存储工具--为CoreOS集群提供配置服务.发现服务和协同调度.Etcd运行在集群的每个coreos节点上,可以保证coreos集群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNZeP0.html" rel="bookmark" class="title">&lbrack;Bhatia&period;Matrix Analysis&period;Solutions to Exercises and Problems&rsqb;ExI&period;5&period;3</a>
					<div>
						Let $\scrM$ be a $p$-dimensional subspace of $\scrH$ and $\scrN$ its orthogonal complement. Choosing ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1n2Z3.html" rel="bookmark" class="title">谈谈yii2-GridView如何实现列表页直接修改数据</a>
					<div>
						作者:白狼 出处:http://www.manks.top/yii2_gridview_advanced.html 本文版权归作者,欢迎转载,但未经作者同意必须保留此段声明,且在文章页面明显位置给出原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGeYkQ3.html" rel="bookmark" class="title">hdu5119Happy Matt Friends</a>
					<div>
						Happy Matt Friends Time Limit: 6000/6000 MS (Java/Others)    Memory Limit: 510000/510000 K (Java/Oth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rDklbM.html" rel="bookmark" class="title">zabbix 监控 ElasticSearch</a>
					<div>
						ElasticSearch  可以直接使用zabbix官方的模板 模板地址: https://github.com/mkhpalm/elastizabbix 通过zabbix server 直接监控  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xDaPD0.html" rel="bookmark" class="title">input type&equals;&amp;quot&semi;file&amp;quot&semi;  accept&equals;&amp;quot&semi;image&sol;&ast;&amp;quot&semi;上传文件慢的问题解决办法</a>
					<div>
						相信大家都写过&lt;input type=&quot;file&quot; name=&quot;file&quot; class=&quot;element&quot; accept=&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
